## org.apache.batik.util
Class DoublyIndexedTable.TableIterator

    java.lang.Object
      org.apache.batik.util.DoublyIndexedTable.TableIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  DoublyIndexedTable

    protected class DoublyIndexedTable.TableIterator

extends java.lang.Object
implements java.util.Iterator

An Iterator class for a `DoublyIndexedTable`.

Constructor Summary
`DoublyIndexedTable.TableIterator()` Creates a new TableIterator.

Method Summary
`protected void` `findNext()` Searches for the next Entry in the table.
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoublyIndexedTable.TableIterator

    public DoublyIndexedTable.TableIterator()

  Creates a new TableIterator.

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### findNext

    protected void findNext()

  Searches for the next Entry in the table.

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.